Skip to main content
GET
/
api
/
2.0
/
appointments
List Appointments
curl --request GET \
  --url https://sandbox.elationemr.com/api/2.0/appointments/ \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "patient": 123,
      "physician": 123,
      "practice": 123,
      "reason": "<string>",
      "scheduled_date": "2023-11-07T05:31:56Z",
      "billing_details": {
        "billing_note": "<string>",
        "prior_authorization": "<string>",
        "referring_provider": "<string>",
        "referring_provider_state": "<string>"
      },
      "created_date": "2023-11-07T05:31:56Z",
      "deleted_date": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "duration": -1,
      "id": 123,
      "instructions": "<string>",
      "is_blocking": true,
      "last_modified_date": "2023-11-07T05:31:56Z",
      "metadata": {
        "data": {},
        "object_id": "<string>",
        "object_web_link": "<string>"
      },
      "payment": {
        "amount": "<string>",
        "when_collected": "2023-11-07T05:31:56Z",
        "appointment": 123,
        "bill": 123,
        "create_date": "2023-11-07T05:31:56Z",
        "delete_date": "2023-11-07T05:31:56Z",
        "id": 123
      },
      "recurring_event_schedule": 123,
      "service_location": {
        "address_line1": "<string>",
        "address_line2": "<string>",
        "city": "<string>",
        "created_date": "2023-11-07T05:31:56Z",
        "deleted_date": "2023-11-07T05:31:56Z",
        "id": 123,
        "is_primary": true,
        "name": "<string>",
        "phone": "<string>",
        "state": "<string>",
        "zip": "<string>"
      },
      "status": {
        "room": "<string>",
        "status_date": "2023-11-07T05:31:56Z",
        "status_detail": "<string>"
      },
      "telehealth_details": "<string>"
    }
  ],
  "count": 123,
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

from_date
string<date-time>
limit
integer

Number of results to return per page.

offset
integer

The initial index from which to return the results.

order_by
string

Which field to use when ordering the results.

patient
integer<int64>[]

Multiple values may be separated by commas.

physician
string
practice
integer[]

Multiple values may be separated by commas.

time_slot_type
enum<string>
Available options:
appointment,
appointment_slot,
event
to_date
string<date-time>

Response

200 - application/json
results
object[]
required
count
integer
Example:

123

next
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=200&limit=100"